package com.sencorsta.rabs.obj.ai.scene.energy;

import cn.hutool.core.thread.ThreadUtil;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.sencorsta.rabs.annotation.SceneAnnotation;
import com.sencorsta.rabs.obj.ai.AiManage;
import com.sencorsta.rabs.obj.ai.api.BaseScene;
import com.sencorsta.rabs.obj.ai.api.Scene;
import org.opencv.core.Point;

import java.awt.AWTException;

/**
 * 体力领取
 */
@SceneAnnotation("SceneMain")
public class SceneMain_Energy extends BaseScene implements Scene {
    @JsonIgnore
    @Override
    public float getPriority() {
        return 8.0f;
    }

    private static String PathEnter = System.getProperty("user.dir") + "\\opencv\\scene\\energy\\enter.png";
    private static String PathCheck = System.getProperty("user.dir") + "\\opencv\\scene\\energy\\check.png";
    private static String PathBack = System.getProperty("user.dir") + "\\opencv\\scene\\energy\\back.png";

    @Override
    public void back() throws AWTException {
        moveToClick(PathBack, AiManage.getInstance().getCheckPoint());
    }

    @Override
    public void open() throws AWTException {
        while (AiManage.getInstance().isRunning() && !check()) {
            AiManage.getInstance().updateWindow();
            ThreadUtil.sleep(2000);
            if (checkHas(PathEnter, AiManage.getInstance().getCheckPoint())) {
                moveToClick(PathEnter, AiManage.getInstance().getCheckPoint(),new Point(92,0));
                ThreadUtil.sleep(2000);
                continue;
            }
        }
    }

    @Override
    public boolean check() throws AWTException {
        if (checkHas(PathCheck, AiManage.getInstance().getCheckPoint())) {
            return true;
        }
        return false;
    }

    @Override
    public void think() {
    }

    @Override
    public boolean isDone() {
        return hasChildDone();
    }

}
